package com.mmc.pms.entity;

import com.mmc.pms.model.dto.WareDetailDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author small @Date 2023/5/16 17:22 @Version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WareDetailDO implements Serializable {

  private static final long serialVersionUID = -911783253410987965L;
  private Integer id;
  private Integer wareInfoId;
  private String content;
  private Date createTime;
  private Date updateTime;

  public WareDetailDTO buildWareDetailDTO() {
    return WareDetailDTO.builder()
        .id(this.id)
        .wareInfoId(this.wareInfoId)
        .content(this.content)
        .createTime(this.createTime)
        .updateTime(this.updateTime)
        .build();
  }
}
